import { Subject } from 'rxjs';
import { IInteractiveList } from '../../../models/interactive-list.model';
export declare const INPUT_TIMEOUT = 500;
export declare class ListKeyManager {
    private list;
    blur: Subject<void>;
    select: Subject<number>;
    private timeoutHandler;
    private searchString;
    private numbersOnly;
    constructor(list: IInteractiveList);
    catchKey(event: KeyboardEvent): void;
    pressedSomeButton(key: string, alt: boolean, control: boolean): void;
    pressedGoToFirst(): void;
    pressedGoToLast(): void;
    pressedArrowUp(alt: boolean): void;
    pressedArrowDown(alt: boolean): void;
    search(key: string): void;
    pressedEnter(): void;
    hasNumbersOnly(): boolean;
    update(): void;
}
