(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core'), require('@angular/forms'), require('@angular/platform-browser/animations'), require('rxjs'), require('@angular/animations'), require('@angular/material/core'), require('rxjs/operators'), require('@angular/cdk/coercion'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('@nutrify/ngx-simple-select', ['exports', '@angular/common', '@angular/core', '@angular/forms', '@angular/platform-browser/animations', 'rxjs', '@angular/animations', '@angular/material/core', 'rxjs/operators', '@angular/cdk/coercion', '@angular/platform-browser'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.nutrify = global.nutrify || {}, global.nutrify['ngx-simple-select'] = {}), global.ng.common, global.ng.core, global.ng.forms, global.ng.platformBrowser.animations, global.rxjs, global.ng.animations, global.ng.material.core, global.rxjs.operators, global.ng.cdk.coercion, global.ng.platformBrowser));
}(this, (function (exports, common, i0, forms, animations$1, rxjs, animations, core, operators, coercion, platformBrowser) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var Direction;
    (function (Direction) {
        Direction[Direction["default"] = 0] = "default";
        Direction[Direction["leftToRight"] = 1] = "leftToRight";
        Direction[Direction["rightToLeft"] = 2] = "rightToLeft";
    })(Direction || (Direction = {}));

    var BrowserService = /** @class */ (function () {
        function BrowserService() {
            this.isEdge = /Edge\/\d./i.test(window.navigator.userAgent);
        }
        return BrowserService;
    }());
    BrowserService.ɵprov = i0.ɵɵdefineInjectable({ factory: function BrowserService_Factory() { return new BrowserService(); }, token: BrowserService, providedIn: "root" });
    BrowserService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    BrowserService.ctorParameters = function () { return []; };

    var DirectionService = /** @class */ (function () {
        function DirectionService() {
        }
        // It is better to have this as a service rather than in every option instance
        DirectionService.prototype.isRTL = function (text) {
            var ltrChars = 'A-Za-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02B8\u0300-\u0590\u0800-\u1FFF' + '\u2C00-\uFB1C\uFDFE-\uFE6F\uFEFD-\uFFFF';
            var rtlChars = '\u0591-\u07FF\uFB1D-\uFDFD\uFE70-\uFEFC';
            var rtlDirCheck = new RegExp('^[^' + ltrChars + ']*[' + rtlChars + ']');
            return rtlDirCheck.test(text);
        };
        return DirectionService;
    }());
    DirectionService.ɵprov = i0.ɵɵdefineInjectable({ factory: function DirectionService_Factory() { return new DirectionService(); }, token: DirectionService, providedIn: "root" });
    DirectionService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];

    var SELECT_ELEMENT = new i0.InjectionToken('OPTION_PARENT_COMPONENT');
    var nextUniqueId = 0;
    var SimpleOptionBase = /** @class */ (function () {
        function SimpleOptionBase() {
        }
        return SimpleOptionBase;
    }());
    // eslint-disable-next-line @typescript-eslint/naming-convention
    var _SimpleSelectMixinBase = core.mixinDisabled(SimpleOptionBase);
    var OptionComponent = /** @class */ (function (_super) {
        __extends(OptionComponent, _super);
        function OptionComponent(cdRef, browser, dirService, parent) {
            var _this = _super.call(this) || this;
            _this.cdRef = cdRef;
            _this.browser = browser;
            _this.dirService = dirService;
            _this.parent = parent;
            _this.highlight = new rxjs.Subject();
            _this.select = new rxjs.Subject();
            // eslint-disable-next-line @typescript-eslint/naming-convention
            _this.Direction = Direction;
            _this.selected = false;
            _this.hovered = false;
            _this.overflowOffset = 0;
            _this.scrollSideways = false;
            _this._highlighted = false;
            _this.uid = "simple-option-" + ++nextUniqueId;
            _this.clientWidth = -1;
            // Force setter to be called in case id was not specified.
            _this.id = _this.id;
            return _this;
        }
        Object.defineProperty(OptionComponent.prototype, "id", {
            get: function () { return this._id; },
            set: function (value) {
                this._id = value || this.uid;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(OptionComponent.prototype, "text", {
            get: function () {
                var e_1, _a;
                var contentChildNodes = this.content.nativeElement.childNodes;
                if (contentChildNodes.length > 0) {
                    var optionNodes = contentChildNodes.childNodes;
                    if (optionNodes) {
                        var str = '';
                        try {
                            for (var optionNodes_1 = __values(optionNodes), optionNodes_1_1 = optionNodes_1.next(); !optionNodes_1_1.done; optionNodes_1_1 = optionNodes_1.next()) {
                                var optionNode = optionNodes_1_1.value;
                                if (optionNode.nodeType === 3) {
                                    str += optionNode.textContent;
                                }
                            }
                        }
                        catch (e_1_1) { e_1 = { error: e_1_1 }; }
                        finally {
                            try {
                                if (optionNodes_1_1 && !optionNodes_1_1.done && (_a = optionNodes_1.return)) _a.call(optionNodes_1);
                            }
                            finally { if (e_1) throw e_1.error; }
                        }
                        return str;
                    }
                }
                return this.content.nativeElement.textContent;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(OptionComponent.prototype, "html", {
            // Used in select.component.html
            get: function () {
                if (this.content) {
                    return this.content.nativeElement.innerHTML;
                }
                return '';
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(OptionComponent.prototype, "isRTL", {
            get: function () {
                return this.dirService.isRTL(this.text);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(OptionComponent.prototype, "direction", {
            get: function () {
                if (!this.dir && this.parent && this.parent.dir) {
                    this.dir = this.parent.dir;
                }
                if (this.dir) {
                    switch (this.dir) {
                        case 'rtl':
                            return Direction.rightToLeft;
                        case 'auto':
                            return this.isRTL ? Direction.rightToLeft : Direction.leftToRight;
                        default:
                            return Direction.leftToRight;
                    }
                }
                return Direction.default;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(OptionComponent.prototype, "highlighted", {
            get: function () {
                return this._highlighted;
            },
            set: function (highlighted) {
                this._highlighted = highlighted;
                this.cdRef.detectChanges();
            },
            enumerable: false,
            configurable: true
        });
        OptionComponent.prototype.shouldScrollSideways = function () {
            return this.highlighted && this.hovered && this.scrollSideways;
        };
        OptionComponent.prototype.startFunctionality = function () {
            this.hovered = true;
            // Should be always calculated in case the window size changed
            this.calculateScroll();
            if (!this.highlighted) {
                this.highlight.next();
            }
        };
        OptionComponent.prototype.stopFunctionality = function () {
            this.hovered = false;
            this.cdRef.markForCheck(); // Necessary to display sideway scroll properly
            this.cdRef.detectChanges(); // Necessary to display scroll sideways properly after blur
        };
        OptionComponent.prototype.calculateScroll = function () {
            var element = this.element.nativeElement;
            // Only recalculate when the client width changed
            if (element.clientWidth !== this.clientWidth) {
                // Set clientWidth to the current width
                this.clientWidth = element.clientWidth;
                // Edge gonna be Edge...
                // Simple greater than comparison does not work in Edge
                // It seems to be a floating point issue
                // Microsoft Edge 44.18362.449.0
                if (!this.browser.isEdge && (element.scrollWidth > element.clientWidth) ||
                    (element.scrollWidth - element.clientWidth) > 1) {
                    this.scrollSideways = true;
                    this.overflowOffset = element.clientWidth - element.scrollWidth;
                    this.overflowOffset -= 4; // Just moving it 4px away from the scrollbar, for readability
                    // Update scroll sideways transition
                    this.cdRef.markForCheck();
                    this.cdRef.detectChanges();
                    if (this.direction === Direction.rightToLeft) {
                        this.overflowOffset = -this.overflowOffset;
                    }
                }
                else {
                    this.scrollSideways = false;
                    this.overflowOffset = 0;
                }
            }
        };
        return OptionComponent;
    }(_SimpleSelectMixinBase));
    OptionComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'simple-option',
                    exportAs: 'simpleOption',
                    animations: [
                        animations.trigger('scroll', [
                            animations.state('initial', animations.style({
                                transform: 'translateX(0)'
                            })),
                            animations.state('scrolled', animations.style({
                                transform: 'translateX({{offset}}px)'
                            }), { params: { offset: 0 } }),
                            animations.transition('* => scrolled', [
                                animations.animate('1500ms 250ms ease-in-out')
                            ])
                        ]),
                    ],
                    template: "<div class=\"simple-option-top\"></div>\r\n<div #optionField [ngClass]=\"{'simple-highlighted-option': highlighted}\" class=\"simple-option-container\">\r\n  <div [@scroll]=\"{value: shouldScrollSideways() ? 'scrolled' : 'initial', params: {offset: overflowOffset}}\">\r\n    <div #content class=\"simple-option-content\">\r\n      <ng-content></ng-content>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class=\"simple-option-bottom\"></div>\r\n",
                    inputs: ['disabled'],
                    encapsulation: i0.ViewEncapsulation.None,
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    // eslint-disable-next-line
                    host: {
                        '[attr.id]': 'id',
                        class: 'simple-option',
                        role: 'option',
                        '[attr.aria-selected]': 'selected.toString()',
                        '[attr.aria-disabled]': 'disabled.toString()',
                        '[class.simple-disabled]': 'disabled',
                        '[class.simple-option-rtl]': 'direction === Direction.rightToLeft',
                        '[class.simple-option-ltr]': 'direction === Direction.leftToRight',
                        '(click)': 'select.next()',
                        '(mouseleave)': 'stopFunctionality()',
                        '(mousemove)': 'startFunctionality()'
                    }
                },] }
    ];
    OptionComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: BrowserService },
        { type: DirectionService },
        { type: undefined, decorators: [{ type: i0.Optional }, { type: i0.Inject, args: [SELECT_ELEMENT,] }] }
    ]; };
    OptionComponent.propDecorators = {
        label: [{ type: i0.Input }],
        value: [{ type: i0.Input }],
        dir: [{ type: i0.Input }],
        id: [{ type: i0.Input }],
        element: [{ type: i0.ViewChild, args: ['optionField', { static: true },] }],
        content: [{ type: i0.ViewChild, args: ['content', { static: true },] }]
    };

    var DeviceService = /** @class */ (function () {
        function DeviceService() {
            this.mobileOrTablet = false;
            this.mobileOrTablet = this.isMobileOrTablet();
        }
        DeviceService.prototype.isMobileOrTablet = function () {
            var check = false;
            (function (a) {
                // eslint-disable-next-line max-len
                if (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(a) || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0, 4))) {
                    check = true;
                }
                // eslint-disable-next-line @typescript-eslint/dot-notation
            })(navigator.userAgent || navigator.vendor || window['opera']);
            return check;
        };
        return DeviceService;
    }());
    DeviceService.ɵprov = i0.ɵɵdefineInjectable({ factory: function DeviceService_Factory() { return new DeviceService(); }, token: DeviceService, providedIn: "root" });
    DeviceService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    DeviceService.ctorParameters = function () { return []; };

    var INPUT_TIMEOUT = 500;
    var ListKeyManager = /** @class */ (function () {
        function ListKeyManager(list) {
            this.list = list;
            this.blur = new rxjs.Subject();
            this.select = new rxjs.Subject();
            this.timeoutHandler = null;
            this.searchString = '';
            this.numbersOnly = false;
            this.update();
        }
        ListKeyManager.prototype.catchKey = function (event) {
            var control = event.ctrlKey;
            var alt = event.altKey;
            var key = event.key;
            if (key) {
                switch (key) {
                    case 'Backspace':
                        // Ignore
                        break;
                    case 'Enter':
                        this.pressedEnter();
                        break;
                    case 'ArrowUp':
                        this.pressedArrowUp(alt);
                        break;
                    case 'ArrowDown':
                        this.pressedArrowDown(alt);
                        break;
                    case 'Escape':
                        this.blur.next();
                        break;
                    case 'PageUp':
                    case 'Home':
                        this.pressedGoToFirst();
                        break;
                    case 'PageDown':
                    case 'End':
                        this.pressedGoToLast();
                        break;
                    default:
                        this.pressedSomeButton(key, alt, control);
                        return;
                }
                event.preventDefault();
            }
        };
        ListKeyManager.prototype.pressedSomeButton = function (key, alt, control) {
            if (key.length === 1 && !alt && !control) {
                this.search(key);
            }
        };
        ListKeyManager.prototype.pressedGoToFirst = function () {
            for (var i = 0; i < this.list.elements.length; i++) {
                if (!this.list.skipPredicateFn(this.list.elements[i])) {
                    this.select.next(i);
                    return;
                }
            }
        };
        ListKeyManager.prototype.pressedGoToLast = function () {
            for (var i = this.list.elements.length - 1; i >= 0; i--) {
                if (!this.list.skipPredicateFn(this.list.elements[i])) {
                    this.select.next(i);
                    return;
                }
            }
        };
        ListKeyManager.prototype.pressedArrowUp = function (alt) {
            if (alt) {
                this.blur.next();
                return;
            }
            for (var i = this.list.highlightedIndex - 1; i >= 0; i--) {
                if (!this.list.skipPredicateFn(this.list.elements[i])) {
                    this.select.next(i);
                    return;
                }
            }
        };
        ListKeyManager.prototype.pressedArrowDown = function (alt) {
            if (alt) {
                this.blur.next();
                return;
            }
            for (var i = this.list.highlightedIndex + 1; i < this.list.elements.length; i++) {
                if (!this.list.skipPredicateFn(this.list.elements[i])) {
                    this.select.next(i);
                    return;
                }
            }
        };
        ListKeyManager.prototype.search = function (key) {
            var _this = this;
            if (this.list.elements.length > 0) {
                key = key.toUpperCase();
                var searchIndex = void 0;
                if (this.list.highlightedIndex < 0) {
                    searchIndex = 0;
                }
                else {
                    searchIndex = this.list.highlightedIndex;
                }
                // Change search behaviour for lists that only constist of numbers, to be able to search for e.g. 33 by pressing 2 x 3
                if (this.searchString.length > 0 && (this.searchString !== key || this.numbersOnly)) {
                    this.searchString += key;
                }
                else {
                    this.searchString = key;
                    searchIndex++;
                }
                clearTimeout(this.timeoutHandler);
                this.timeoutHandler = null;
                this.timeoutHandler = setTimeout(function () {
                    _this.searchString = '';
                }, INPUT_TIMEOUT);
                for (var i = searchIndex; i < this.list.elements.length; i++) {
                    if (!this.list.skipPredicateFn(this.list.elements[i]) && this.list.elements[i].text.toUpperCase().startsWith(this.searchString)) {
                        this.select.next(i);
                        return;
                    }
                }
                for (var i = 0; i < searchIndex; i++) {
                    // TODO: Change toUpperCase because not usable in every language
                    if (!this.list.skipPredicateFn(this.list.elements[i]) && this.list.elements[i].text.toUpperCase().startsWith(this.searchString)) {
                        this.select.next(i);
                        return;
                    }
                }
                // If not found, reset search
                this.searchString = '';
            }
        };
        // Enter always selects the current highlightedIndex
        ListKeyManager.prototype.pressedEnter = function () {
            this.select.next(this.list.highlightedIndex);
            this.blur.next();
        };
        ListKeyManager.prototype.hasNumbersOnly = function () {
            var e_1, _a;
            try {
                for (var _b = __values(this.list.elements), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var option = _c.value;
                    if (Number.isNaN(Number(option.text))) {
                        return false;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return true;
        };
        ListKeyManager.prototype.update = function () {
            this.numbersOnly = this.hasNumbersOnly();
        };
        return ListKeyManager;
    }());

    var ListScrollManager = /** @class */ (function () {
        function ListScrollManager(scrollableList) {
            this.scrollableList = scrollableList;
        }
        ListScrollManager.prototype.scrollDown = function (element, offset) {
            element.nativeElement.scrollTop += Math.round(offset);
        };
        ListScrollManager.prototype.scrollUp = function (element, offset) {
            element.nativeElement.scrollTop -= Math.round(offset);
        };
        ListScrollManager.prototype.offsetTop = function (element) {
            return element.nativeElement.getBoundingClientRect().top;
        };
        ListScrollManager.prototype.offsetBottom = function (element) {
            return element.nativeElement.getBoundingClientRect().bottom;
        };
        ListScrollManager.prototype.correctScroll = function (index) {
            if (index >= 0 &&
                this.scrollableList.elements.length > 0 &&
                this.scrollableList.list &&
                this.scrollableList.elements.length > index) {
                var selection = this.scrollableList.elements[index];
                var dropdownTop = this.offsetTop(this.scrollableList.list);
                var elementTop = this.offsetTop(selection.element);
                var dropdownBottom = this.offsetBottom(this.scrollableList.list);
                var elementBottom = this.offsetBottom(selection.element);
                if (elementBottom > dropdownBottom) {
                    this.scrollDown(this.scrollableList.list, elementBottom - dropdownBottom);
                }
                else if (elementTop < dropdownTop) {
                    this.scrollUp(this.scrollableList.list, dropdownTop - elementTop);
                }
            }
        };
        ListScrollManager.prototype.scrollClippedElement = function (index) {
            if (index >= 0 &&
                this.scrollableList.elements.length > 0 &&
                this.scrollableList.list &&
                this.scrollableList.elements.length > index) {
                var selection = this.scrollableList.elements[index];
                var dropdownTop = this.offsetTop(this.scrollableList.list);
                var elementTop = this.offsetTop(selection.element);
                var dropdownBottom = this.offsetBottom(this.scrollableList.list);
                var elementBottom = this.offsetBottom(selection.element);
                if (elementBottom > dropdownBottom && elementTop < dropdownBottom) {
                    this.scrollDown(this.scrollableList.list, elementBottom - dropdownBottom);
                }
                else if (elementTop < dropdownTop && elementBottom > dropdownTop) {
                    this.scrollUp(this.scrollableList.list, dropdownTop - elementTop);
                }
            }
        };
        ListScrollManager.prototype.scrollElementTop = function (index) {
            if (index >= 0 &&
                this.scrollableList.elements.length > 0 &&
                this.scrollableList.list &&
                this.scrollableList.elements.length > index) {
                var selection = this.scrollableList.elements[index];
                var dropdownTop = this.offsetTop(this.scrollableList.list);
                var elementTop = this.offsetTop(selection.element);
                this.scrollUp(this.scrollableList.list, dropdownTop - elementTop);
            }
        };
        return ListScrollManager;
    }());

    var nextUniqueId$1 = 0;
    var SimpleSelectBase = /** @class */ (function () {
        function SimpleSelectBase(_elementRef, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl) {
            this._elementRef = _elementRef;
            this._defaultErrorStateMatcher = _defaultErrorStateMatcher;
            this._parentForm = _parentForm;
            this._parentFormGroup = _parentFormGroup;
            this.ngControl = ngControl;
        }
        return SimpleSelectBase;
    }());
    // eslint-disable-next-line @typescript-eslint/naming-convention
    var _SimpleSelectMixinBase$1 = core.mixinTabIndex(core.mixinDisabled(core.mixinErrorState(SimpleSelectBase)));
    var SelectComponent = /** @class */ (function (_super) {
        __extends(SelectComponent, _super);
        function SelectComponent(cdRef, browser, device, elementRef, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl, tabIndex) {
            var _this = _super.call(this, elementRef, _defaultErrorStateMatcher, _parentForm, _parentFormGroup, ngControl) || this;
            _this.cdRef = cdRef;
            _this.browser = browser;
            _this.device = device;
            _this.ngControl = ngControl;
            // Enum for usage in template
            // eslint-disable-next-line @typescript-eslint/naming-convention
            _this.Direction = Direction;
            _this.focus = false;
            _this.mouseOver = false;
            _this.selectedIndex = -1;
            _this.highlightedIndex = -1;
            _this._hoverBorder = false;
            _this._animate = true;
            _this._required = false;
            _this._elements = [];
            _this.optionSubscriptions = [];
            _this.uid = "simple-select-" + ++nextUniqueId$1;
            // Emits whenever the component is destroyed
            _this.destroy = new rxjs.Subject();
            _this.skipPredicateFn = function (item) { return item.disabled; };
            _this.propagateChange = function (_) { };
            _this.propagateTouched = function () { };
            if (_this.ngControl) {
                // Note: we provide the value accessor through here, instead of
                // the `providers` to avoid running into a circular import.
                _this.ngControl.valueAccessor = _this;
            }
            _this.scrollManager = new ListScrollManager(_this);
            _this.keyManager = new ListKeyManager(_this);
            _this.keyManager.blur.pipe(operators.takeUntil(_this.destroy)).subscribe(function () {
                _this.blur();
            });
            _this.keyManager.select.pipe(operators.takeUntil(_this.destroy)).subscribe(function (index) {
                _this.selectIndex(index);
                _this.emit();
                _this.scrollManager.correctScroll(_this.highlightedIndex);
            });
            _this.tabIndex = parseInt(tabIndex, 10) || 0;
            // Force setter to be called in case id was not specified.
            _this.id = _this.id;
            return _this;
        }
        Object.defineProperty(SelectComponent.prototype, "id", {
            get: function () { return this._id; },
            set: function (id) {
                this._id = id || this.uid;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "value", {
            get: function () { return this._value; },
            set: function (value) {
                this.writeValue(value);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "hoverBorder", {
            get: function () { return this._hoverBorder; },
            set: function (hoverBorder) {
                this._hoverBorder = coercion.coerceBooleanProperty(hoverBorder);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "animate", {
            get: function () { return this._animate; },
            set: function (animateVal) {
                this._animate = coercion.coerceBooleanProperty(animateVal);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "required", {
            get: function () { return this._required; },
            set: function (required) {
                this._required = coercion.coerceBooleanProperty(required);
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "showUI", {
            get: function () {
                return !this.hoverBorder || this.focus || this.mouseOver || this.disabled;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "showArrowAnimation", {
            get: function () {
                return this.focus;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "showList", {
            get: function () {
                return this.elements.length > 0 && this.focus;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "selected", {
            get: function () {
                if (this.selectedIndex >= 0 && this.elements.length > this.selectedIndex) {
                    return this.elements[this.selectedIndex];
                }
                return null;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "direction", {
            get: function () {
                var e_1, _a;
                if (this.dir) {
                    if (this.dir === 'auto') {
                        if (this.elements) {
                            try {
                                for (var _b = __values(this.elements), _c = _b.next(); !_c.done; _c = _b.next()) {
                                    var option = _c.value;
                                    if (option.isRTL) {
                                        return Direction.rightToLeft;
                                    }
                                }
                            }
                            catch (e_1_1) { e_1 = { error: e_1_1 }; }
                            finally {
                                try {
                                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                                }
                                finally { if (e_1) throw e_1.error; }
                            }
                            return Direction.leftToRight;
                        }
                    }
                }
                if (this.dir === 'rtl') {
                    return Direction.rightToLeft;
                }
                else if (this.dir === 'ltr') {
                    return Direction.leftToRight;
                }
                return Direction.default;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "ariaLabel", {
            get: function () {
                return this._ariaLabel || this.placeholder;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "activeDescendant", {
            get: function () {
                if (this.selectedIndex >= 0 && this.elements[this.selectedIndex]) {
                    return this.elements[this.selectedIndex].id;
                }
                return null;
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(SelectComponent.prototype, "elements", {
            get: function () {
                return this._elements;
            },
            set: function (options) {
                this._elements = options;
            },
            enumerable: false,
            configurable: true
        });
        SelectComponent.prototype.startFunctionality = function () {
            // If not disabled and not already focused
            if (!this.disabled && !this.focus) {
                this.highlightIndex(this.selectedIndex);
                this.focus = true;
            }
        };
        SelectComponent.prototype.stopFunctionality = function () {
            // Call stopFunctionality of the highlighted option to stop sideway scroll
            if (this.highlightedIndex >= 0 && this.highlightedIndex < this.elements.length) {
                this.elements[this.highlightedIndex].stopFunctionality();
            }
            this.focus = false;
            this.propagateTouched();
        };
        SelectComponent.prototype.mouseenter = function () {
            this.mouseOver = true;
        };
        SelectComponent.prototype.mouseleave = function () {
            this.mouseOver = false;
        };
        SelectComponent.prototype.scrolledOutsideSelect = function () {
            if (!this.mouseOver && !this.disabled && this.focus) {
                this.blur();
            }
        };
        SelectComponent.prototype.blur = function () {
            if (!this.browser.isEdge) {
                this._elementRef.nativeElement.blur();
            }
            else {
                // Edge workaround to maintain tabindex
                // After bluring an element in Edge, the tabindex resets
                // It works, but the focus stays and startFunctionality triggers after reselecting the browser window
                // Won't fix this - Edge should fix its bugs...
                this.stopFunctionality();
            }
        };
        SelectComponent.prototype.renderedList = function () {
            this.scrollManager.scrollElementTop(this.highlightedIndex);
        };
        SelectComponent.prototype.selectIndex = function (index) {
            if (index < this.elements.length) {
                if (index >= 0) {
                    if (!this.skipPredicateFn(this.elements[index])) {
                        // Do not reselect, but highlight
                        if (this.selectedIndex !== index) {
                            if (this.selectedIndex >= 0) {
                                this.elements[this.selectedIndex].selected = false;
                            }
                            this.elements[index].selected = true;
                            this.selectedIndex = index;
                            this.emit();
                        }
                        this.highlightIndex(index);
                    }
                }
                else {
                    this.selectedIndex = index;
                    this.highlightIndex(0);
                    this.emit();
                }
            }
        };
        SelectComponent.prototype.highlightIndex = function (index) {
            if (this.elements.length > 0 &&
                index >= 0 &&
                this.highlightedIndex !== index &&
                !this.skipPredicateFn(this.elements[index])) {
                if (this.highlightedIndex >= 0 && this.highlightedIndex < this.elements.length) {
                    this.elements[this.highlightedIndex].highlighted = false;
                }
                this.elements[index].highlighted = true;
                this.highlightedIndex = index;
            }
        };
        SelectComponent.prototype.initOptions = function () {
            var e_2, _a;
            var _this = this;
            if (this.options) {
                try {
                    // Removing previous subscriptions
                    for (var _b = __values(this.optionSubscriptions), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var subscription = _c.value;
                        subscription.unsubscribe();
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
                this.optionSubscriptions = [];
                // Initialize the elements
                this.elements = this.options.toArray();
                var _loop_1 = function (i) {
                    var element = this_1.elements[i];
                    this_1.optionSubscriptions.push(element.select.pipe(operators.takeUntil(this_1.destroy)).subscribe(function () {
                        _this.selectIndex(i);
                    }));
                    this_1.optionSubscriptions.push(element.highlight.pipe(operators.takeUntil(this_1.destroy)).subscribe(function () {
                        _this.highlightIndex(i);
                        _this.scrollManager.scrollClippedElement(i);
                    }));
                };
                var this_1 = this;
                for (var i = 0; i < this.elements.length; i++) {
                    _loop_1(i);
                }
            }
        };
        SelectComponent.prototype.emit = function () {
            if (this.selectedIndex >= 0 && this.selectedIndex < this.elements.length) {
                this._value = this.elements[this.selectedIndex].value;
            }
            else {
                this._value = null;
            }
            this.propagateChange(this._value);
        };
        SelectComponent.prototype.writeValue = function (value) {
            if (value !== null) {
                this._value = value;
                if (this._elementRef) {
                    for (var i = 0; i < this.elements.length; i++) {
                        if (this.elements[i].value === value) {
                            this.selectIndex(i);
                            return;
                        }
                    }
                }
            }
            else {
                this.selectIndex(-1);
            }
        };
        SelectComponent.prototype.registerOnChange = function (fn) {
            this.propagateChange = fn;
        };
        SelectComponent.prototype.registerOnTouched = function (fn) {
            this.propagateTouched = fn;
        };
        SelectComponent.prototype.setDisabledState = function (isDisabled) {
            this.disabled = isDisabled;
        };
        SelectComponent.prototype.ngAfterViewInit = function () {
            var _this = this;
            this.initOptions();
            // Reset highlightedIndex to 0 or to the selectedIndex
            this.highlightIndex((this.selectedIndex >= 0) ? this.selectedIndex : 0);
            this.options.changes.pipe(operators.takeUntil(this.destroy)).subscribe(function () {
                _this.updateOptions();
            });
            this.cdRef.detectChanges();
        };
        SelectComponent.prototype.updateOptions = function () {
            // Reset the selection when the options changed
            this.initOptions();
            var selectedIndex = -1;
            // Select option based on previously selected value
            for (var i = 0; i < this.elements.length; i++) {
                if (this.elements[i].value === this._value) {
                    selectedIndex = i;
                    break;
                }
            }
            this.selectIndex(selectedIndex);
            this.keyManager.update();
            this.cdRef.markForCheck();
            this.ngDoCheck();
        };
        SelectComponent.prototype.ngDoCheck = function () {
            if (this.ngControl) {
                this.updateErrorState();
            }
        };
        SelectComponent.prototype.ngOnDestroy = function () {
            this.destroy.next();
            this.destroy.complete();
            this.stateChanges.complete();
        };
        return SelectComponent;
    }(_SimpleSelectMixinBase$1));
    SelectComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'simple-select',
                    exportAs: 'simpleSelect',
                    animations: [
                        animations.trigger('spin', [
                            animations.state('initial', animations.style({
                                transform: 'rotate(0)'
                            })),
                            animations.state('rotate', animations.style({
                                transform: 'rotate({{degrees}}deg)'
                            }), { params: { degrees: -180 } }),
                            animations.transition('initial <=> rotate', [
                                animations.animate('.2s linear')
                            ])
                        ]),
                    ],
                    template: "<div [ngClass]=\"{'simple-select-rtl': direction === Direction.rightToLeft, 'simple-select-ltr': direction === Direction.leftToRight}\" class=\"simple-select-wrapper\">\r\n  <div [ngClass]=\"{'simple-select-border': showUI, 'simple-invalid': errorState}\" class=\"simple-select-bar\" (click)=\"startFunctionality()\" (mouseenter)=\"mouseenter()\" (mouseleave)=\"mouseleave()\">\r\n    <div class=\"simple-select-box\">\r\n      <div *ngIf=\"!selected; else showSelected\" class=\"simple-placeholder-text\">{{placeholder}}</div>\r\n      <ng-template #showSelected>\r\n        <div [innerHTML]=\"selected.html | noSanitize\" class=\"simple-select-selection\"></div>\r\n      </ng-template>\r\n    </div>\r\n    <div [hidden]=\"!showUI\" [@spin]=\"{value: animate && showArrowAnimation ? 'rotate' : 'initial', params: {degrees: direction === Direction.rightToLeft ? 180 : -180}}\" class=\"simple-arrow-down\"></div>\r\n  </div>\r\n  <div class=\"simple-options-container\">\r\n    <div [ngClass]=\"{'simple-select-inactive': !showList}\" class=\"simple-options-wrapper\" (click)=\"blur()\">\r\n      <div #optionList class=\"simple-option-list\">\r\n        <ng-container simpleRendered *ngIf=\"showList\" (renderComplete)=\"renderedList()\">\r\n          <ng-content></ng-content>\r\n        </ng-container>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n",
                    inputs: ['disabled', 'tabIndex'],
                    encapsulation: i0.ViewEncapsulation.None,
                    changeDetection: i0.ChangeDetectionStrategy.OnPush,
                    providers: [
                        {
                            provide: SELECT_ELEMENT,
                            useExisting: SelectComponent
                        }
                    ],
                    // eslint-disable-next-line
                    host: {
                        '[attr.id]': 'id',
                        '[attr.tabindex]': 'tabIndex',
                        class: 'simple-select',
                        role: 'listbox',
                        '[attr.aria-label]': 'ariaLabel',
                        '[attr.aria-required]': 'required.toString()',
                        '[attr.aria-disabled]': 'disabled.toString()',
                        '[attr.aria-invalid]': 'errorState',
                        '[attr.aria-activedescendant]': 'activeDescendant',
                        '[class.simple-disabled]': 'disabled',
                        '[class.simple-required]': 'required',
                        '[class.simple-select-mobile-tablet]': 'device.mobileOrTablet',
                        '(blur)': 'stopFunctionality()',
                        '(document:scroll)': 'scrolledOutsideSelect()',
                        '(focus)': 'startFunctionality()',
                        '(keydown)': 'keyManager.catchKey($event)'
                    }
                },] }
    ];
    SelectComponent.ctorParameters = function () { return [
        { type: i0.ChangeDetectorRef },
        { type: BrowserService },
        { type: DeviceService },
        { type: i0.ElementRef },
        { type: core.ErrorStateMatcher },
        { type: forms.NgForm, decorators: [{ type: i0.Optional }] },
        { type: forms.FormGroupDirective, decorators: [{ type: i0.Optional }] },
        { type: forms.NgControl, decorators: [{ type: i0.Self }, { type: i0.Optional }] },
        { type: String, decorators: [{ type: i0.Attribute, args: ['tabindex',] }] }
    ]; };
    SelectComponent.propDecorators = {
        placeholder: [{ type: i0.Input }],
        dir: [{ type: i0.Input }],
        errorStateMatcher: [{ type: i0.Input }],
        _ariaLabel: [{ type: i0.Input, args: ['aria-label',] }],
        id: [{ type: i0.Input }],
        value: [{ type: i0.Input }],
        hoverBorder: [{ type: i0.Input }],
        animate: [{ type: i0.Input }],
        required: [{ type: i0.Input }],
        list: [{ type: i0.ViewChild, args: ['optionList', { static: true },] }],
        options: [{ type: i0.ContentChildren, args: [OptionComponent, { descendants: true },] }]
    };

    var NoSanitizePipe = /** @class */ (function () {
        function NoSanitizePipe(domSanitizer) {
            this.domSanitizer = domSanitizer;
        }
        NoSanitizePipe.prototype.transform = function (html) {
            return this.domSanitizer.bypassSecurityTrustHtml(html);
        };
        return NoSanitizePipe;
    }());
    NoSanitizePipe.decorators = [
        { type: i0.Pipe, args: [{ name: 'noSanitize' },] }
    ];
    NoSanitizePipe.ctorParameters = function () { return [
        { type: platformBrowser.DomSanitizer }
    ]; };

    var RenderedDirective = /** @class */ (function () {
        function RenderedDirective() {
            this.renderComplete = new i0.EventEmitter();
        }
        RenderedDirective.prototype.ngAfterViewInit = function () {
            this.renderComplete.emit();
        };
        return RenderedDirective;
    }());
    RenderedDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[simpleRendered]'
                },] }
    ];
    RenderedDirective.propDecorators = {
        renderComplete: [{ type: i0.Output }]
    };

    var SimpleSelectModule = /** @class */ (function () {
        function SimpleSelectModule() {
        }
        return SimpleSelectModule;
    }());
    SimpleSelectModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [SelectComponent, OptionComponent, NoSanitizePipe, RenderedDirective],
                    imports: [
                        common.CommonModule,
                        animations$1.BrowserAnimationsModule
                    ],
                    providers: [
                        DeviceService
                    ],
                    exports: [SelectComponent, OptionComponent, forms.FormsModule]
                },] }
    ];

    /*
     * Public API Surface of simple-select
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.OptionComponent = OptionComponent;
    exports.SelectComponent = SelectComponent;
    exports.SimpleSelectModule = SimpleSelectModule;
    exports.ɵa = SELECT_ELEMENT;
    exports.ɵb = BrowserService;
    exports.ɵc = DirectionService;
    exports.ɵe = DeviceService;
    exports.ɵf = NoSanitizePipe;
    exports.ɵg = RenderedDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=nutrify-ngx-simple-select.umd.js.map
