import { ElementRef } from '@angular/core';
import { IScrollableList } from '../../../models/scrollable-list.model';
export declare class ListScrollManager {
    private scrollableList;
    constructor(scrollableList: IScrollableList);
    scrollDown(element: ElementRef<any>, offset: number): void;
    scrollUp(element: ElementRef<any>, offset: number): void;
    offsetTop(element: ElementRef<any>): any;
    offsetBottom(element: ElementRef<any>): any;
    correctScroll(index: number): void;
    scrollClippedElement(index: number): void;
    scrollElementTop(index: number): void;
}
